<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroQrCodeViewModelBuilder implements Builder {
	protected $id;
	protected $amount;
	protected $text;
	protected $links;

	public function build(): PagSeguroQrCodeViewModel {

		$obj = new PagSeguroQrCodeViewModel();

		$obj->setId( $this->id );
		$obj->setAmount( $this->amount );
		$obj->setText( $this->text );
		$obj->setLinks( $this->links );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): PagSeguroQrCodeViewModelBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $amount
	 */
	public function setAmount($amount): PagSeguroQrCodeViewModelBuilder {

		$this->amount = $amount;
		return $this;

	}

	/**
	 *
	 * @param mixed $text
	 */
	public function setText($text): PagSeguroQrCodeViewModelBuilder {

		$this->text = $text;
		return $this;

	}

	/**
	 *
	 * @param mixed $links
	 */
	public function setLinks($links): PagSeguroQrCodeViewModelBuilder {

		$this->links = $links;
		return $this;

	}

}

